[neon/infrastructure/pangea-data] imager: ubuntu-defaults.gpg not ubuntu-defaults.key
Carlos De Maine
null at kde.org
Tue Aug 6 09:48:10 BST 2024
Git commit b20d2e97150fcae3509691b1164a37153806ca78 by Carlos De Maine.
Committed on 06/08/2024 at 08:48.
Pushed by carlosdem into branch 'master'.
ubuntu-defaults.gpg not ubuntu-defaults.key
M +2 -2 imager/config-hooks-neon/repo.sh
M +1 -1 imager/ubuntu-defaults-image
https://invent.kde.org/neon/infrastructure/pangea-data/-/commit/b20d2e97150fcae3509691b1164a37153806ca78
diff --git a/imager/config-hooks-neon/repo.sh b/imager/config-hooks-neon/repo.sh
index 50daeb8..3f104df 100644
--- a/imager/config-hooks-neon/repo.sh
+++ b/imager/config-hooks-neon/repo.sh
@@ -5,7 +5,7 @@ GPG="gpg"
apt-key export '444D ABCF 3667 D028 3F89 4EDD E6D4 7362 5575 1E5D' | $GPG \
$ARGS \
--no-default-keyring \
- --primary-keyring config/archives/ubuntu-defaults.key \
+ --primary-keyring config/archives/ubuntu-defaults.gpg \
--import
#if [ "$VERSION_CODENAME" = "jammy" ]; then
@@ -24,4 +24,4 @@ EOF
#fi
# make sure _apt can read this file. it may get copied into the chroot
-chmod 644 config/archives/ubuntu-defaults.key || true
+chmod 644 config/archives/ubuntu-defaults.gpg || true
diff --git a/imager/ubuntu-defaults-image b/imager/ubuntu-defaults-image
index ef47da7..ce62737 100755
--- a/imager/ubuntu-defaults-image
+++ b/imager/ubuntu-defaults-image
@@ -77,7 +77,7 @@ add_ppas () {
FINGERPRINT=${FINGERPRINT#'"'}
# fetch GPG key
- gpg --home config/gnupg --no-default-keyring config/archives/ubuntu-defaults.key --keyserver pool.sks-keyservers.net --recv-key "$FINGERPRINT"
+ gpg --home config/gnupg --no-default-keyring config/archives/ubuntu-defaults.gpg --keyserver pool.sks-keyservers.net --recv-key "$FINGERPRINT"
# add ppa apt source
local DEB_PPA="deb http://ppa.launchpad.net/$ppa/ubuntu $SUITE main"
More information about the Neon-commits
mailing list